Package Gnumed :: Package wxpython :: Module gmEditArea :: Class gmReferralEditArea |
[frames] | no frames]

# Class gmReferralEditArea

source code

    wx.Panel --+
               |
       cEditArea --+
                   |
          gmEditArea --+
                       |
                      gmReferralEditArea

Instance Methods
__init__(self, parent, id) | source code
set_data(self) Doesn't accept any value as this doesn't make sense for this edit area | source code
setAddresses(self, id) Set the available addresses for the selected identity | source code
Inherited from `gmEditArea`: `getDataId`, `getInputFieldValues`, `setDataId`, `setInputFieldValues`, `set_old_data` Inherited from `cEditArea`: `on_post_patient_selection`

Method Details

### __init__(self, parent, id) (Constructor) | source code
Overrides: cEditArea.__init__